# [−] List of all items

### Structs

- FuncInstance
- FuncInvocation
- FuncRef
- GlobalDescriptor
- GlobalInstance
- GlobalRef
- ImportsBuilder
- MemoryDescriptor
- MemoryInstance
- MemoryRef
- Module
- ModuleInstance
- ModuleRef
- NopExternals
- NotStartedModuleRef
- RuntimeArgs
- Signature
- StackRecycler
- TableDescriptor
- TableInstance
- TableRef
- Trap
- memory_units::Bytes
- memory_units::Pages
- memory_units::Words
- nan_preserving_float::F32
- nan_preserving_float::F64

### Enums

- Error
- ExternVal
- ResumableError
- RuntimeValue
- TrapKind
- ValueError
- ValueType

### Traits

- Externals
- FromRuntimeValue
- HostError
- ImportResolver
- LittleEndianConvert
- ModuleImportResolver
- memory_units::ByteSize
- memory_units::RoundUpTo

### Functions

- memory_units::size_of

### Constants

- DEFAULT_CALL_STACK_LIMIT
- DEFAULT_VALUE_STACK_LIMIT
- LINEAR_MEMORY_PAGE_SIZE

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g., `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g., `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g., `str,u8` or `String,struct:Vec,test`)